%define anolis_release 1

%global priority  59
%global fontname liberation
%global fontconf %{priority}-%{fontname}
%global archivename %{name}-%{version}
%global common_desc The Liberation Fonts are intended to be replacements for the 3 most commonly\
used fonts on Microsoft systems: Times New Roman, Arial, and Courier New.

%define catalogue %{_sysconfdir}/X11/fontpath.d

Name:             %{fontname}-fonts
Summary:          Fonts to replace commonly used Microsoft Windows fonts
Version:          2.1.5
Release:          %{anolis_release}%{?dist}
Epoch:            1
License:          OFL
URL:              https://github.com/liberationfonts/liberation-fonts
Source0:          %{url}/files/7261483/%{archivename}.tar.gz
Source2:          %{name}-mono.conf
Source3:          %{name}-sans.conf
Source4:          %{name}-serif.conf
Source6:          %{fontname}.metainfo.xml
Source7:          %{fontname}-mono.metainfo.xml
Source8:          %{fontname}-sans.metainfo.xml
Source9:          %{fontname}-serif.metainfo.xml
BuildArch:        noarch

BuildRequires:    fontpackages-devel >= 1.13
BuildRequires:    mkfontscale mkfontdir
BuildRequires:    fontforge
BuildRequires:    libappstream-glib
BuildRequires:    python3
BuildRequires:    python3-fonttools
BuildRequires:    make

Requires:         %{fontname}-mono-fonts = %{epoch}:%{version}-%{release}
Requires:         %{fontname}-sans-fonts = %{epoch}:%{version}-%{release}
Requires:         %{fontname}-serif-fonts = %{epoch}:%{version}-%{release}

%description
%common_desc

Meta-package of Liberation fonts which installs Sans, Serif, and Monospace
families.

%package -n %{fontname}-fonts-common
Epoch:  1
Summary:          Shared common files of Liberation font families
Requires:         fontpackages-filesystem >= 1.13

%description -n %{fontname}-fonts-common
%common_desc

Shared common files of Liberation font families.

%files -n %{fontname}-fonts-common
%doc AUTHORS ChangeLog README.md TODO
%license  LICENSE
%{_datadir}/appdata/liberation.metainfo.xml


%package -n %{fontname}-mono-fonts
Summary:      Monospace fonts to replace commonly used Microsoft Courier New
Requires:     %{fontname}-fonts-common = %{epoch}:%{version}-%{release}
%description -n %{fontname}-mono-fonts
%common_desc

This package provides Monospace TrueType fonts that replace commonly used
Microsoft Courier New.

%files -n %{fontname}-mono-fonts
%{_fontdir}-mono
%ghost %attr(644, root, root) %{_fontdir}-mono/.uuid 
%{_fontconfig_templatedir}/*-liberation-mono.conf 
%config(noreplace) %{_fontconfig_confdir}/*-liberation-mono.conf 
%{_datadir}/appdata/liberation-mono.metainfo.xml
%{catalogue}/%{fontname}-mono-fonts


%package -n %{fontname}-sans-fonts
Summary:      Sans-serif fonts to replace commonly used Microsoft Arial
Requires:     %{fontname}-fonts-common = %{epoch}:%{version}-%{release}
%description -n %{fontname}-sans-fonts
%common_desc

This package provides Sans-serif TrueType fonts that replace commonly used
Microsoft Arial.

%files -n %{fontname}-sans-fonts
%{_fontdir}-sans
%ghost %attr(644, root, root) %{_fontdir}-sans/.uuid 
%{_fontconfig_templatedir}/*-liberation-sans.conf 
%config(noreplace) %{_fontconfig_confdir}/*-liberation-sans.conf 
%{_datadir}/appdata/liberation-sans.metainfo.xml
%{catalogue}/%{fontname}-sans-fonts


%package -n %{fontname}-serif-fonts
Summary:      Serif fonts to replace commonly used Microsoft Times New Roman
Requires:     %{fontname}-fonts-common = %{epoch}:%{version}-%{release}
%description -n %{fontname}-serif-fonts
%common_desc

This package provides Serif TrueType fonts that replace commonly used
Microsoft Times New Roman.

%files -n %{fontname}-serif-fonts
%{_fontdir}-serif
%ghost %attr(644, root, root) %{_fontdir}-serif/.uuid 
%{_fontconfig_templatedir}/*-liberation-serif.conf 
%config(noreplace) %{_fontconfig_confdir}/*-liberation-serif.conf 
%{_datadir}/appdata/liberation-serif.metainfo.xml
%{catalogue}/%{fontname}-serif-fonts


%prep
%autosetup -n %{archivename}

sed -i 's/OS2_UseTypoMetrics: 1/OS2_UseTypoMetrics: 0/g' src/*.sfd

sed -i 's|/usr/bin/env python|%{_bindir}/python2|' scripts/setisFixedPitch-fonttools.py

%build
make %{?_smp_mflags} 
mv liberation-fonts-ttf-%{version}/* .


%install
# fonts .ttf
install -m 0755 -d %{buildroot}%{_fontdir}-mono
install -m 0755 -d %{buildroot}%{_fontdir}-sans
install -m 0755 -d %{buildroot}%{_fontdir}-serif

install -m 0644 -p LiberationMono*.ttf %{buildroot}%{_fontdir}-mono
install -m 0644 -p LiberationSans*.ttf %{buildroot}%{_fontdir}-sans
install -m 0644 -p LiberationSerif*.ttf %{buildroot}%{_fontdir}-serif


# catalogue
install -m 0755 -d %{buildroot}%{catalogue}
ln -s %{_fontdir}-mono %{buildroot}%{catalogue}/%{fontname}-mono-fonts
ln -s %{_fontdir}-sans %{buildroot}%{catalogue}/%{fontname}-sans-fonts
ln -s %{_fontdir}-serif %{buildroot}%{catalogue}/%{fontname}-serif-fonts

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-mono.conf
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf
install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif.conf

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE6} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml
install -Dm 0644 -p %{SOURCE7} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-mono.metainfo.xml
install -Dm 0644 -p %{SOURCE8} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-sans.metainfo.xml
install -Dm 0644 -p %{SOURCE9} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-serif.metainfo.xml

for fconf in %{fontconf}-mono.conf \
             %{fontconf}-sans.conf \
             %{fontconf}-serif.conf; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

# fonts.{dir,scale}
mkfontscale %{buildroot}%{_fontdir}-mono
mkfontscale %{buildroot}%{_fontdir}-sans
mkfontscale %{buildroot}%{_fontdir}-serif
mkfontdir %{buildroot}%{_fontdir}-mono
mkfontdir %{buildroot}%{_fontdir}-sans
mkfontdir %{buildroot}%{_fontdir}-serif

%check
appstream-util validate-relax --nonet \
        %{buildroot}%{_datadir}/appdata/%{fontname}*.metainfo.xml

%files

%changelog
* Tue Mar 28 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:2.1.5-1
- init from upstream
